:root {
  --bs-body-font-family: Montserrat, 'Segoe UI', 'Helvetica Neue', Helvetica, Arial, sans-serif;

  --bs-primary: #f8a451;
  --bs-secondary: #57a5e6;
  --bs-btn-background-primary: #f8a451;
  --bs-primary-rgb: 248, 164, 81;

  --z-index-nav-bar: 100;
  --z-index-progress: 80;
  --z-index-expandable-content: 60;
  --z-index-page-content: 50;
  --z-index-page-content-floating: 55;
  --z-index-footer: 40;

  --mft-btn-shadow: 0px 4px 10px 2px rgba(197, 197, 197, 0.66);
  --mft-element-shadow: 0.2em 0.2rem 0.3rem rgba(0, 0, 0, 0.16);
  --mft-footer-shadow: 0;
  --mft-section1-background: #fa994f;
  --mft-section2-background: #fa994f;
  --mft-section3-background: #fa994f;
  --mft-section4-background: #fa994f;

  --Token-Background-gradient-fullscreen: linear-gradient(
    166deg,
    rgba(87, 203, 245, 0.3) 40.1%,
    rgba(255, 0, 255, 0.3) 98.43%
  );
  --Token-Background-gradient-sm: linear-gradient(
    94deg,
    rgba(87, 203, 245, 0.6) 13.99%,
    rgba(242, 105, 23, 0.5) 58.29%,
    rgba(255, 0, 255, 0.6) 119.1%
  );

  --Token-Background-gradient-sm-transparent: linear-gradient(
    94deg,
    rgba(87, 203, 245, 0.2) 13.99%,
    rgba(242, 105, 23, 0.15) 58.29%,
    rgba(255, 0, 255, 0.2) 119.1%
  );
}

input[type='button']:active,
button:active {
  transform: scale(0.96);
}

input[type='button']:focus,
input[type='button']:hover,
button:focus,
button:hover {
  filter: brightness(95%);
}

.bg-section {
  background-color: var(--bs-primary);
}

.bg-section-1 {
  background: var(--mft-section1-background);
}

.bg-section-2 {
  background: var(--mft-section2-background);
}

.bg-section-3 {
  background: var(--mft-section3-background);
}

.bg-section-4 {
  background: var(--mft-section4-background);
}

.isolate {
  isolation: isolate;
}

.h-100 {
  height: calc(100 * var(--vh, 1vh));
}

input.form-control[type='email'],
input.form-control[type='text'] {
  border-radius: var(--radius-md, 1.5625rem);
  border: 2px solid transparent;
  background: linear-gradient(white, white) padding-box, var(--Token-Background-gradient-sm, #fff) border-box;

  /* Shadow/xs */
  box-shadow: 2px 2px 8px 1px rgba(215, 215, 215, 0.5);
}

input.is-invalid.form-control[type='email'],
input.is-invalid.form-control[type='text'] {
  background: none;
  border: 1px solid var(--Token-text-error, #e94f73);
}

label.form-check {
  line-height: 2.5;
}

input.form-check-input[type='radio'] {
  border: none;
  outline: none;
  width: 28px;
  height: 28px;
  margin-right: 0.5rem;
  box-shadow: none;

  background-color: transparent;
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"><circle cx="12" cy="12" r="11" stroke="white" stroke-width="2"/><circle cx="12" cy="12" r="11" stroke="url(%23paint0_linear_203_1780)" stroke-opacity="0.3" stroke-width="2"/><defs><linearGradient id="paint0_linear_203_1780" x1="-6.24615" y1="-1.891" x2="2.04483" y2="32.4376" gradientUnits="userSpaceOnUse"><stop offset="0.42243" stop-color="%2357CBF5"/><stop offset="0.900856" stop-color="%23FF00FF"/></linearGradient></defs></svg>');
}

input.form-check-input[type='radio']:checked {
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"><circle cx="12" cy="12" r="5" fill="%23F8A451"/><circle cx="12" cy="12" r="11" stroke="white" stroke-width="2"/><circle cx="12" cy="12" r="11" stroke="url(%23paint0_linear_203_1794)" stroke-opacity="0.3" stroke-width="2"/><defs><linearGradient id="paint0_linear_203_1794" x1="-6.24615" y1="-1.891" x2="2.04483" y2="32.4376" gradientUnits="userSpaceOnUse"><stop offset="0.42243" stop-color="%2357CBF5"/><stop offset="0.900856" stop-color="%23FF00FF"/></linearGradient></defs></svg>');
}

input.form-check-input[type='checkbox'] {
  width: 28px;
  height: 28px;
  margin-right: 0.5rem;
  box-shadow: none;
  border: none;

  background-color: transparent;
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"><path d="M1 5C1 2.79086 2.79086 1 5 1H19C21.2091 1 23 2.79086 23 5V19C23 21.2091 21.2091 23 19 23H5C2.79086 23 1 21.2091 1 19V5Z" stroke="white" stroke-width="2"/><path d="M1 5C1 2.79086 2.79086 1 5 1H19C21.2091 1 23 2.79086 23 5V19C23 21.2091 21.2091 23 19 23H5C2.79086 23 1 21.2091 1 19V5Z" stroke="url(%23paint0_linear_223_2004)" stroke-opacity="0.5" stroke-width="2"/><defs><linearGradient id="paint0_linear_223_2004" x1="1.85106" y1="-6.34284" x2="30.6602" y2="-4.53747" gradientUnits="userSpaceOnUse"><stop offset="0.0731088" stop-color="%2357CBF5"/><stop offset="0.463774" stop-color="%23F26917" stop-opacity="0.8"/><stop offset="1" stop-color="%23FF00FF"/></linearGradient></defs></svg>');
}

input.form-check-input[type='checkbox']:checked {
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"><path d="M1 5C1 2.79086 2.79086 1 5 1H19C21.2091 1 23 2.79086 23 5V19C23 21.2091 21.2091 23 19 23H5C2.79086 23 1 21.2091 1 19V5Z" stroke="white" stroke-width="2"/><path d="M1 5C1 2.79086 2.79086 1 5 1H19C21.2091 1 23 2.79086 23 5V19C23 21.2091 21.2091 23 19 23H5C2.79086 23 1 21.2091 1 19V5Z" stroke="url(%23paint0_linear_223_2009)" stroke-opacity="0.5" stroke-width="2"/><path d="M9.43431 17.6971L4.2343 12.4971C3.9219 12.1847 3.9219 11.6781 4.2343 11.3657L5.36565 10.2343C5.67806 9.92187 6.18462 9.92187 6.49703 10.2343L10 13.7372L17.503 6.2343C17.8154 5.9219 18.3219 5.9219 18.6344 6.2343L19.7657 7.36568C20.0781 7.67809 20.0781 8.18462 19.7657 8.49706L10.5657 17.6971C10.2532 18.0095 9.74672 18.0095 9.43431 17.6971Z" fill="%23F8A451"/><defs><linearGradient id="paint0_linear_223_2009" x1="1.85106" y1="-6.34284" x2="30.6602" y2="-4.53747" gradientUnits="userSpaceOnUse"><stop offset="0.0731088" stop-color="%2357CBF5"/><stop offset="0.463774" stop-color="%23F26917" stop-opacity="0.8"/><stop offset="1" stop-color="%23FF00FF"/></linearGradient></defs></svg>');
}
